# DataExchange
TKXSBase
Interface

# Interface_InterfaceError Class Reference

`#include <Interface_InterfaceError.hxx>`

Inheritance diagram for Interface_InterfaceError:

[legend]

## Public Member Functions

Standard_EXPORT | Interface_InterfaceError ()
Standard_EXPORT | Interface_InterfaceError (const Standard_CString AString)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Raise (const Standard_CString aMessage="")
static Standard_EXPORT void | Raise (Standard_SStream &aReason)
static Standard_EXPORT | Handle (Interface_InterfaceError) NewInstance(const Standard_CString aMessage)

## Private Member Functions

virtual Standard_EXPORT void | Throw () const

## Friends

Standard_EXPORT friend Handle_Standard_Type & | Interface_InterfaceError_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT Interface_InterfaceError::Interface_InterfaceError | ( |  | ) | `[inline]`

Standard_EXPORT Interface_InterfaceError::Interface_InterfaceError | ( | const Standard_CString | AString | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const Interface_InterfaceError::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in Interface_CheckFailure, Interface_InterfaceMismatch, Transfer_TransferDeadLoop, and Transfer_TransferFailure.

static Standard_EXPORT Interface_InterfaceError::Handle | ( | Interface_InterfaceError |  | ) | const`[static]`

static Standard_EXPORT void Interface_InterfaceError::Raise | ( | Standard_SStream & | aReason | ) | `[static]`

| Reimplemented in Interface_CheckFailure, Interface_InterfaceMismatch, Transfer_TransferDeadLoop, and Transfer_TransferFailure.

static Standard_EXPORT void Interface_InterfaceError::Raise | ( | const Standard_CString | aMessage = `""` | ) | `[static]`

| Reimplemented in Interface_CheckFailure, Interface_InterfaceMismatch, Transfer_TransferDeadLoop, and Transfer_TransferFailure.

virtual Standard_EXPORT void Interface_InterfaceError::Throw | ( |  | ) | const`[private, virtual]`

| Reimplemented in Interface_CheckFailure, Interface_InterfaceMismatch, Transfer_TransferDeadLoop, and Transfer_TransferFailure.

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& Interface_InterfaceError_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- Interface_InterfaceError.hxx